/* Reset */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
iframe{
    border: 0;
}
input{
    border-radius: 0;
    -webkit-appearance: none;
}
:focus{
    border: 0;
    outline: none;
}
a, a:hover{
    color: initial;
    text-decoration: none;
}
h1, h2, h3, h4, h5, h6, small{
    font-size: 1em;
    line-height: 1.2em;
    font-weight: normal
}

/* Layot */
@font-face {
    font-family: 'Totti-Medium';
    src: url('fonts/Totti-Medium-Regular.woff') format('opentype');
}
body {
    font-family: 'Totti-Medium';
    background-color: #f0f0f0;
    height: 100vh;
    margin: 0;
    font-size: 50px;
    /* transition-duration: 0.7s;
    transition-property: opacity; */
}
/* body.fade {
    opacity: 0;
    transition: all .1s ease-in;
} */
a, a:hover {
    text-decoration: none;
    color: white;
}
.overflow-hidden {
    overflow: hidden;
}
header {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    color: white;
    mix-blend-mode: difference;
    z-index: 10;
    background: transparent;
}
.logo {
    padding: 0.5em;
    transition: all .3s ease-in-out;
}
.logo:hover{
    transform: scale(1.01);
}
.menu-button {
    cursor: pointer;
    position: fixed;
    right: 0;
    color: white;
    mix-blend-mode: difference;
    z-index: 200;
    padding-right: 0.5em;
    padding-top: 0.5em;
    transition: all .3s ease-in-out;
}
.menu-button:hover{
    transform: scale(1.01);
}
.menu-container {
    position: fixed;
    z-index: 100;
}
.popup-menu {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    justify-content: center;
    align-items: center;
    z-index: 100;
}
.popup-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    text-align: center;
}
.popup-menu li {
    margin: 10px 0;
    color: black;
}
.popup-menu a {
    color: white;
    mix-blend-mode: difference;
    text-decoration: none;
    font-size: 2em;
}
.popup-menu a:hover {
    color: rgb(145, 145, 145);
}
.works-container {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    list-style: none;
}
.work {
    width: 50%;
    text-align: center;
    position: relative;
    overflow: hidden;
    margin: 0;
    padding: 0; 
}
.work img {
    width: 100%;
    height: auto;
    display: block;
    vertical-align: bottom; 
}
.work figcaption {
    color: white;
    mix-blend-mode: difference;
    display: none;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 5;
}
.work:hover figcaption {
    display: block;
}
.work-title{
    text-align: center;
    font-size: 1em;
    text-align: center;
    padding-top: 1.5em;
}
.products-container {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    list-style: none;
    padding: 0;
    margin: 0;
}
.product {
    width: 33.33%;
    text-align: center;
    position: relative;
    overflow: hidden;
    margin: 0;
    padding: 0; 
}
.product img {
    width: 100%;
    height: auto;
    display: block;
    vertical-align: bottom; 
}
.products-container figcaption {
    color: white;
    mix-blend-mode: difference;
    display: none;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 5;
}
.product:hover figcaption {
    display: block;
}
.product-title{
    text-align: center;
    font-size: 1em;
    text-align: center;
    padding-top: 1.5em;
}
.bio {
    font-size: 1.5em;
    text-align: center;
    padding-top: 1.5em;
    width: 100%;
    overflow-x: hidden;
}
.bio a{
    color: inherit;
}
.bio a:hover{
    color: rgb(145, 145, 145);
}
.bio p{
    margin-bottom: 1em;
}
.credits{
    text-align: center;
    padding-bottom: 2em;
}
.credits a{
    color: inherit;
}
.credits a:hover{
    color: rgb(145, 145, 145);
}
.credits p{
    margin-bottom: 1em;
}
#random-image {
    height: calc(100vh);
    overflow: hidden;
    position: relative;
}
#random-image img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 2s ease, filter 2s ease;
    opacity: 0;
    filter: blur(20px);
}
.title {
    text-align: center;
    font-size: 1.5em;
    text-align: center;
    padding-top: 2.5em;
    padding-bottom: 1.5em;
}
.infos {
    text-align: center;
    padding-bottom: 1.5em;
}
.press {
    padding-top: 1.5em;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    list-style: none;
}
.magazine {
    padding: 2em;
    background-color: #f1f1f1;
    text-align: center;
}
.magazine img {
    width: 100%;
    height: auto;
    box-shadow: 0px 0px 20px -6px black;
    transition: transform 0.4s ease-in-out;
}
.magazine img:hover {
    transform: scale(1.03);
}
.double-images {
    display: flex;
    width: 100%;
}
.double-images img {
    width: 50%;
}
.main-image {
    width: 100%;
}
.main-image img {
    width: 100%;
}
.paragrafo {
    text-align: center;
    margin-top: -2em;
    margin-bottom: 1em;
}
.project_paragraph{
    padding-top: 1.5em;
    padding-bottom: 1.5em;
    padding-left: 4em;
    padding-right: 4em;
}

.credits {
    text-align: center;
    padding-bottom: 0.5em;
}

@media only screen and (max-width: 1481px) {
    body {
        font-size: 40px;
    }
    .press {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }
    .magazine {
        background-color: #f1f1f1;
        text-align: center;
        padding-bottom: 0.25em;
        padding: 1em;
    }
    .magazine img {
        width: 100%;
        height: auto;
        box-shadow: 0px 0px 20px -6px black;
        transition: transform 0.4s ease-in-out;
    }
}

@media only screen and (max-width: 769px) {
    body {
        font-size: 40px;
    }
    header {
        width: 100%;
        justify-content: center;
        padding-top: 0.25em;
    }
    .menu-button {
        position: fixed;
        width: 100%;
        bottom: 0;
        text-align: center;
        justify-content: center;
        padding-bottom: 0.5em;
        padding-right: 0em;
    }
    .popup-menu a {
        color: white;
        text-decoration: none;
        font-size: 1.5em;
    }
    .works-container {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }
    .work {
        width: 100%;
        grid-template-columns: auto;
        text-align: center;
    }
    .works-container .title {
        color: white;
        mix-blend-mode: difference;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        opacity: 1;
    }

    .products-container {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }
    .product {
        width: 100%;
        grid-template-columns: auto;
        text-align: center;
    }
    .product img {
        width: 100%;
        height: auto;
    }
    .products-container figcaption {
        color: white;
        mix-blend-mode: difference;
        display: none;
        position: absolute;
        top: 45%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
        z-index: 5;
    }
    .bio {
        text-align: center;
        padding-top: 3.5em;
        font-size: 0.75em;
    }
    .credits{
        font-size: 0.75em !important;
    }
    .press {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }
    .magazine {
        background-color: #f1f1f1;
        text-align: center;
        padding-bottom: 0.25em;
    }
    .magazine img {
        width: 100%;
        height: auto;
        box-shadow: 0px 0px 20px -6px black;
        transition: transform 0.4s ease-in-out;
    }
    .title {
        text-align: center;
        font-size: 1.5em;
        padding-top: 2em;
    }
    .infos {
        font-size: 0.5em;
    }
    .double-images {
        display: block;
        width: 100%;
    }
    .double-images img {
        width: 100%;
    }
    .paragrafo {
        font-size: 0.4em;
        display: block;
        margin-top: -2em;
        padding-bottom: 1em;
    }
    .project_paragraph{
        font-size: 0.4em;
        padding-left: 2em;
        padding-right: 2em;
    }
    .credits {
        font-size: 0.4em;
        padding-bottom: 3em;
        padding-left: 0.5em;
        padding-right: 0.5em;
    }
}
